<app-spinner *ngIf='loading'></app-spinner>
<div *ngIf='!loading'>
  <div fxLayout="row" fxLayoutAlign="space-between center">

    <app-hungry-nav-bar></app-hungry-nav-bar>

    <div>
      <button md-raised-button (click)="previousWeek()" class='nav-button'>Previous Week</button>
      <button md-raised-button routerLink='/hungry' [routerLinkActiveOptions]="{exact: true}" routerLinkActive #rla="routerLinkActive"
        [disabled]="rla.isActive" class='nav-button'>Current Week</button>
      <button md-raised-button (click)="nextWeek()" class='nav-button'>Next Week</button>
    </div>

  </div>

  <div *ngFor="let dailyOrder of weekMenus">
    <app-daily-order-form [dailyOrder]="dailyOrder" (totalChanged)="calcTotal($event)"></app-daily-order-form>
  </div>

  <md-card class="bottom-info">

    <div fxLayout="row" fxLayoutAlign="space-between center">
      <h4>You can order until<span class="info-data">{{ globalSettingsService.getDeadLine() | async | date: 'HH:mm' }}</span>        of previous day</h4>
      <h4>Your weekly total is:<span class="info-data">{{ weekTotal.toFixed(2) }} <span [innerHTML]="globalSettingsService.getCurrency() | async"></span></span>
      </h4>
    </div>

    <hr>

    <div [innerHTML]="globalSettingsService.getNotes() | async "></div>

  </md-card>
</div>
